Subject: Re: [patch 1/3] softmac: return -EAGAIN from getscan while scanning

From: Pete Zaitcev <[email-masked]>
Date: Thu, 13 Apr 2006 15:28:53 -0700

On Thu, 13 Apr 2006 09:00:51 -0700, "Jouni Malinen" <[email-masked]> wrote:

> That could be blocking an ioctl call for couple of seconds
> and would be quite horrible for single threaded programs.

I would say that waiting for couple of seconds in the kernel would
be quite wonderful for single threaded programs, when you consider
the alternative. I can guess now what your concern is, even though
you failed to articulate it: a single-threaded GUI application,
which cannot respond to events when blocked in getting scan results.
If that's the case, we should be looking at having both blocking
and non-blocking calls to fetch scan results.

> [...] but what if some other program were
> to request a new scan between the completion event and the attempt to
> read the previous scan results..

I do not see how this is relevant.

-- Pete